<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>HRIS Approval </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4"
>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Approval
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="alert alert-danger" th:if="${statusTimeOff.getStatus().equals('NO')}">
                    <h4>Time Off Not Allowed</h4>

                    <p>Masa Kerja anda belum genap 1 tahun.</p>
                </div>
                <div class="card shadow-sm border">

                    <div class="card-header">
                        <span th:text="${employesss.fullName}"></span>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-danger" th:if="${gagalfile != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p  th:if="${gagalfile != null}" th:text="${gagalfile}"></p>
                        </div>

                        <div class="alert alert-danger" th:if="${lebih != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p>Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="alert alert-danger ur" th:if="${fatal != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:if="${fatal != null}" th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="alert alert-danger" th:if="${lebihan != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:if="${lebihan != null}" th:text="${'Batas request ini hanya '+ lebihan +' hari..'}"></p>
                        </div>
                        <div class="alert alert-danger" th:if="${statusTimeOff.getStatus().equals('NO')}">
                            <h4>Time Off Not Allowed</h4>

                            <p>Masa Kerja anda belum genap 1 tahun.</p>
                        </div>
                        <br>
                        <form th:action="@{/approval/change}" th:object="${timeOffRequest}" method="post" enctype="multipart/form-data">


                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Time Off</label>
                                <select class="form-select" name="timeOffJenis" th:field="*{timeOffJenis}" id="selectsatu" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${listTimeOffJenis}"
                                            th:text="${data.getNama()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label class="control-label">From:</label>
                                <div class="col-sm-12">
                                    <input type="date" disabled id="tanggalTimeOffString" name="tanggalTimeOffString" class="form-control ts" th:field="*{tanggalTimeOffString}" >
                                </div>
                            </div>


                            <p th:if="${#fields.hasErrors('tanggalTimeOffString')}" th:errors="*{tanggalTimeOffString}" class="text-danger"> Mata Anggaran Error</p>

                            <div class="mb-3">
                                <label class="control-label">To:</label>
                                <div class="col-sm-12">
                                    <input type="date" disabled id="tanggalTimeOffSampaiString" name="tanggalTimeOffSampaiString" class="form-control ts" th:field="*{tanggalTimeOffSampaiString}" >
                                </div>
                            </div>


                            <p th:if="${#fields.hasErrors('tanggalTimeOffSampaiString')}" th:errors="*{tanggalTimeOffSampaiString}" class="text-danger"> Mata Anggaran Error</p>


                            <div class="mb-3">
                                <label for="keterangan" class="control-label te">Desciptions:</label>
                                <div class="col-sm-12">
                                    <textarea disabled class="form-control te" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
                                    <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>


                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="file" th:field="*{file}">
                    </div>
                    <div class="card-footer">
                        <a th:href="@{/approval}" class="btn btn-secondary ta">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right su" id="simpan">Save</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </main>

</main>
</body>
</html>




<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Time Off Request</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Time Off Request-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Time Off Request</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Time Off Request</h3>-->
<!--                    <h3 class="box-title" th:text="${employesss.fullName}">Ayah dari</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <div class="callout callout-danger" th:if="${statusTimeOff.getStatus().equals('NO')}">-->
<!--                    <h4>Time Off Not Allowed</h4>-->

<!--                    <p>Masa Kerja anda belum genap 1 tahun.</p>-->
<!--                </div>-->
<!--                <form class="form-horizontal" th:action="@{/approval/change}" th:object="${timeOffRequest}" method="post" enctype="multipart/form-data">-->
<!--                    <div class="box-body">-->

<!--                        <div class="callout callout-danger" th:if="${gagalfile != null}">-->
<!--                            <h4>Save Data Unsuccesfully!</h4>-->

<!--                            <p th:text="${gagalfile}"></p>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="timeOffJenis" class="col-sm-2 control-label">Time Off Type:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="timeOffJenis" th:field="*{timeOffJenis}" id="timeOffJenis" style="width: 100%;">-->
<!--                                    <option th:each="data : ${listTimeOffJenis}"-->
<!--                                            th:text="${data.getNama()}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label class="col-sm-2 control-label">From:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input disabled type="text" class="form-control pull-right" id="tanggalTimeOffString" th:field="*{tanggalTimeOffString}" name="tanggalTimeOffString" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label class="col-sm-2 control-label">To:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input disabled type="text" class="form-control pull-right" id="tanggalTimeOffSampaiString" th:field="*{tanggalTimeOffSampaiString}" name="tanggalTimeOffSampaiString" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="keterangan" class="col-sm-2 control-label">Desciptions:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <textarea disabled class="form-control" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>-->
<!--                            </div>-->
<!--                        </div>-->

<!--&lt;!&ndash;                        <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                            <label for="fileUpload" class="col-sm-2 control-label">File Upload:</label>&ndash;&gt;-->

<!--&lt;!&ndash;                            <div class="col-sm-10">&ndash;&gt;-->
<!--&lt;!&ndash;                                <input type="file" name="fileUpload" id="fileUpload" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">&ndash;&gt;-->

<!--&lt;!&ndash;                                <p class="help-block">Upload file bila perlu.</p>&ndash;&gt;-->
<!--&lt;!&ndash;                            </div>&ndash;&gt;-->
<!--&lt;!&ndash;                        </div>&ndash;&gt;-->



<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                        <input type="hidden" name="file" th:field="*{file}">-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/approval}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-success pull-right" id="simpan">Approve</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->


<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalTimeOffString').datepicker({-->
<!--                autoclose: true,-->
<!--                format: 'dd-mm-yyyy'-->
<!--            })-->

<!--            $('#tanggalTimeOffSampaiString').datepicker({-->
<!--                autoclose: true,-->
<!--                format: 'dd-mm-yyyy'-->
<!--            })-->

<!--            $('#endDateString').datepicker({-->
<!--                autoclose: true,-->
<!--                format: 'dd-mm-yyyy'-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->